# todo
class ActiveStix::MarkingDefinition < ApplicationRecord

  def self.ingest_json(obj)
    marking_def = find_or_create_by(stix_id:obj['id'])
    marking_def
  end

  def self.create_by_id(id, parent_obj_id = nil)
    if parent_obj_id == nil
      mark_def = find_or_create_by(stix_id:id)
    else
      mark_def = find_or_create_by(stix_id:id, relationship_ref: parent_obj_id)
    end
    mark_def
  end

  def convert_to_json
    stix_id
  end
end
