class CreateActiveStixIndicators < ActiveRecord::Migration[5.2]
  def change
    create_table :active_stix_indicators do |t|
      t.string :name
      t.jsonb :labels
      t.text :description
      t.string :pattern
      t.datetime :valid_from
      t.datetime :valid_until
      t.jsonb :kill_chain_phases
      t.string :stix_id

      t.timestamps
    end
  end
end
