class CreateActiveStixIntrusionSets < ActiveRecord::Migration[5.2]
  def change
    create_table :active_stix_intrusion_sets do |t|
      t.string :name
      t.text :description
      t.datetime :first_seen
      t.datetime :last_seen
      t.string :stix_id
      t.jsonb :aliases
      t.jsonb :object_marking_refs

      t.timestamps
    end
  end
end
