class CreateActiveStixRelationships < ActiveRecord::Migration[5.2]
  def change
    create_table :active_stix_relationships do |t|
      t.string :relationship_type
      t.text :description
      t.string :source_ref
      t.string :target_ref
      t.string :source_type
      t.string :target_type
      t.string :stix_id
      t.jsonb :object_marking_refs

      t.timestamps
    end
  end
end
