class CreateActiveStixArtifacts < ActiveRecord::Migration[5.2]
  def change
    create_table :active_stix_artifacts do |t|
      t.string :stix_id
      t.string :type
      t.string :mime_type
      t.binary :payload_bin
      t.string :url
      t.jsonb :hashes
      t.jsonb :encryption_algorithm
      t.string :decryption_key

      t.timestamps
    end
  end
end
