class ActiveStix::EmailMessagesController < ApplicationController
  before_action :set_stix_email_message, only: [:show, :edit, :update, :destroy]

  # GET /stix/email_messages
  # GET /stix/email_messages.json
  def index
    @email_messages = ActiveStix::EmailMessage.order("created_at DESC").page params[:page]
  end

  # GET /stix/email_messages/1
  # GET /stix/email_messages/1.json
  def show
  end

  private

  # Use callbacks to share common setup or constraints between actions.
  def set_stix_email_message
    @email_message = ActiveStix::EmailMessage.find(params[:id])
  end

  # Never trust parameters from the scary internet, only allow the white list through.
  def stix_email_message_params
    params.require(:email_message).permit(:type, :is_multipart, :date, :content_type, :from_ref, :sender_ref, :to_refs_link_id, :cc_refs_link_id, :bcc_refs_link_id, :subject, :received_lines_link_id, :body, :body_multipart_link_id, :raw_email_ref)
  end
end
