module ActiveStix
  module AttackPatternsHelper

    def mitigation_description
      mitigation = @attack_pattern.target_relationships.where("relationship_type='mitigates'").first
      return unless mitigation
      source = mitigation.source
      return unless source
      description = source.description
      markdown.render(description).html_safe if description
    end

    def detection_description
      # detection = @attack_pattern.detections.first.description
      # return unless detection
      # description = detection.description || ""
      # markdown.render(description).html_safe
      ""
    end
  end
end
