class ActiveStix::CyberObservable < ApplicationRecord
  belongs_to :observed_datum, :class_name => 'ActiveStix::ObservedDatum', foreign_key: :observed_datum_ref, primary_key: :stix_id
  belongs_to :cyber_observable_object, polymorphic: true, foreign_key: :observable_object_id
end
