module ActiveStix
  class EmailAddress < ApplicationRecord

    has_many :to_refs, foreign_key: 'stix_email_address_id'
    has_many :email_messages, foreign_key: :from_ref
    belongs_to :identity, class_name: 'ActiveStix::Identity'

    # after_create_commit do
    #   assign_iddentity_to_group
    # end

    def self.from_eml(eml)
      eml.correspondences.all.collect do |c|
        {
            "type": "email-address",
            "value": c.email.address,
            "display_name": c.email.alias,
            "from_ref": c.agent.id
        }
      end
    end

    def assign_identity_to_group

    end
  end
end
