class ActiveStix::Label < ApplicationRecord
  belongs_to :open_vocabulary

  has_many :markups
  has_many :labelables, through: :markups

  def self.ingest_label(open_vocabulary, label)

    open_voc = ActiveStix::OpenVocabulary.find_or_create_by(name: open_vocabulary)
    lab = find_or_create_by(open_vocabulary_id: open_voc.id, name: label)
    lab
  end

  def convert_to_json
    value
  end
end
