class ActiveStix::ReportObject < ApplicationRecord
  belongs_to :report, foreign_key: "report_ref", primary_key: "stix_id"
  belongs_to :stix_object, polymorphic: true, foreign_key: "object_ref", foreign_type: :object_type, primary_key: "stix_id"

  def convert_to_json
    object_ref
  end

end
