class CreateActiveStixCampaigns < ActiveRecord::Migration[5.2]
  def change
    create_table :active_stix_campaigns do |t|
      t.string :name
      t.text :description
      t.jsonb :aliases
      t.datetime :first_seen
      t.datetime :last_seen
      t.string :objective
      t.string :stix_id

      t.timestamps
    end
  end
end
