class CreateActiveStixEmailMessages < ActiveRecord::Migration[5.2]
  def change
    create_table :active_stix_email_messages do |t|
      t.boolean :is_multipart
      t.datetime :date
      t.string :content_type
      t.integer :from_ref
      t.integer :sender_ref
      t.string :subject
      t.text :body
      t.integer :raw_email_ref
      t.jsonb :additional_header_fields
      t.jsonb :received_lines
      t.jsonb :body_multipart
      t.string :observed_datum_ref

      t.timestamps
    end
  end
end
