class CreateActiveStixFiles < ActiveRecord::Migration[5.2]
  def change
    create_table :active_stix_files do |t|
      t.jsonb :extensions
      t.string :hashes
      t.integer :size
      t.string :name
      t.string :name_enc
      t.binary :magic_number_hex
      t.string :mime_type
      t.datetime :created_file
      t.datetime :modified_file
      t.datetime :accessed_file
      t.integer :parent_director_ref
      t.boolean :is_encrypted
      t.integer :encryption_algorithm
      t.string :decryption_key
      t.integer :content_ref

      t.timestamps
    end
  end
end
