class CreateActiveStixUsers < ActiveRecord::Migration[5.2]
  def change
    create_table :active_stix_users do |t|
      t.string :account
      t.string :user_id
      t.string :account_login
      t.string :account_type
      t.string :display_name
      t.boolean :is_service_account
      t.boolean :is_privileged
      t.boolean :can_escalate_privs
      t.boolean :is_disabled
      t.datetime :account_created
      t.datetime :account_expires
      t.datetime :password_last_changed
      t.datetime :account_first_login
      t.datetime :account_last_login

      t.timestamps
    end
  end
end
